summaryrefslogtreecommitdiffstats
path: root/network/dnstracer
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 17:43:11 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:43:11 +0200
commit10e40ee079bed6fb51bae89a66e6be3bdda2fc35 (patch)
tree6732adaa9e19f2c4fc087eadb0aa408bf18926cc /network/dnstracer
parent84202d6a21fdad97480e0b097eb7528d556e46ce (diff)
downloadslackbuilds-10e40ee079bed6fb51bae89a66e6be3bdda2fc35.tar.gz
slackbuilds-10e40ee079bed6fb51bae89a66e6be3bdda2fc35.tar.xz
network/dnstracer: Updated for version 1.9
Diffstat (limited to 'network/dnstracer')
-rw-r--r--network/dnstracer/README3
-rw-r--r--network/dnstracer/dnstracer.SlackBuild20
-rw-r--r--network/dnstracer/dnstracer.info8
3 files changed, 15 insertions, 16 deletions
diff --git a/network/dnstracer/README b/network/dnstracer/README
index 6db006844f..1c6580b5c6 100644
--- a/network/dnstracer/README
+++ b/network/dnstracer/README
@@ -3,6 +3,3 @@ dnstracer - trace a chain of DNS servers to the source
dnstracer determines where a given Domain Name Server (DNS) gets its
information from, and follows the chain of DNS servers back to the
servers which know the data.
-
-dnstracer was wtitten by Edwin Groothuis
-homepage http://www.mavetju.org/unix/dnstracer.php
diff --git a/network/dnstracer/dnstracer.SlackBuild b/network/dnstracer/dnstracer.SlackBuild
index 9314aac942..03b6a1dc13 100644
--- a/network/dnstracer/dnstracer.SlackBuild
+++ b/network/dnstracer/dnstracer.SlackBuild
@@ -4,25 +4,30 @@
# Written by Menno Duursma
-# Exit on most errors
-set -e
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=dnstracer
-VERSION=1.8
+VERSION=${VERSION:-1.9}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -45,10 +50,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -62,6 +65,5 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Make the package; be sure to leave it in $OUTPUT
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/dnstracer/dnstracer.info b/network/dnstracer/dnstracer.info
index 0586c8e87c..3faf550123 100644
--- a/network/dnstracer/dnstracer.info
+++ b/network/dnstracer/dnstracer.info
@@ -1,8 +1,8 @@
PRGNAM="dnstracer"
-VERSION="1.8"
+VERSION="1.9"
HOMEPAGE="http://www.mavetju.org/unix/dnstracer.php"
-DOWNLOAD="http://www.mavetju.org/download/dnstracer-1.8.tar.gz"
-MD5SUM="f7e4102b572d052ca95567a08d9dde0a"
+DOWNLOAD="http://www.mavetju.org/download/dnstracer-1.9.tar.gz"
+MD5SUM="7db73ce3070119c98049a617fe52ea84"
MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="BP{k}"
+APPROVED="dsomero"